# Method: buyers.proposals.cancelNegotiation

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/cancelNegotiation#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/cancelNegotiation#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/cancelNegotiation#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/cancelNegotiation#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/cancelNegotiation#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals/cancelNegotiation#try-it)

Cancels an ongoing negotiation on a proposal. This does not cancel or end serving for the deals if the proposal has been finalized. If the proposal has not been finalized before, calling this method will set the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal.FIELDS.state` to `TERMINATED` and increment the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal.FIELDS.proposal_revision`. If the proposal has been finalized before and is under renegotiation now, calling this method will reset the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal.FIELDS.state` to `FINALIZED` and increment the `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal.FIELDS.proposal_revision`. This method does not support private auction proposals whose `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal.FIELDS.deal_type` is 'PRIVATE_AUCTION'.

### HTTP request

`POST https://authorizedbuyersmarketplace.googleapis.com/v1/{proposal=buyers/*/proposals/*}:cancelNegotiation`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `proposal` | `string` Name of the proposal. Format: `buyers/{accountId}/proposals/{proposalId}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1/buyers.proposals#Proposal`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`